### Method

# Gimp FileProcedure set_format_name

since: 3.0

#### Declaration [src]

    void
    gimp_file_procedure_set_format_name (
      GimpFileProcedure* procedure,
      const gchar* format_name
    )

#### Description [src]

Associates a format name with a file handler procedure.

This name can be used for any public-facing strings, such as graphical interface labels. An example usage would be %GimpExportProcedureDialog title looking like “Export Image as %s”.

Note that since the format name is public-facing, it is recommended to localize it at runtime, for instance through gettext, like:

    gimp_file_procedure_set_format_name (procedure, _("JPEG"));

Some language would indeed localize even some technical terms or acronyms, even if sometimes just to rewrite them with the local writing system.

Available since: 3.0

#### Parameters

`format_name`

  Type: `const gchar*`

  A public-facing name for the format, e.g. “PNG”.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.